<div class="fields-wrap eapproval-wrap">
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="eApprovalFormGroup">
        <div class="page-wrap">
            <div class="form-group">
                <div class="group-header">
                    <h4 class="group-title">Your Loan Details</h4>
                </div>
                <label class="sub-title loan-eligible" *ngIf="userService.isCustomerJourney()"><strong>Congratulations <span class="username">{{cache.user.firstName}}</span>! </strong>You are eligible for a loan of upto <span class="rupee"></span>{{ loanLimits.nMaxLoanAmount | indianCurrency: 0}}.</label>
                <div class="form-row e-approval">
                    <div class="form-col">
                        <div class="form-col-row" >
                            <label>Loan Amount</label>
                            <div class="edit-amt">
                                <span class="rupee"></span>
                                <mat-form-field>
                                    <input  matInput autocomplete="off" (blur)="loanAmountBlur()" [errorStateMatcher]="formSubmittedMatcher" formControlName="loanAmount" type="text" numberOnly [maxlength]="amountLengthlimit(loanLimits.nMaxLoanAmount)"  matPrefix/> 
                                </mat-form-field>            
                                <span class="edit-img" matSuffix></span>
                                <p class="custom-error" *ngIf="eApprovalFormGroup.get('loanAmount').errors && eApprovalFormGroup.get('loanAmount').errors.loanAmount && eApprovalFormGroup.get('loanAmount').errors.loanAmount.required">Please enter loan amount</p>
                                <p class="custom-error" *ngIf="eApprovalFormGroup.get('loanAmount').errors && eApprovalFormGroup.get('loanAmount').errors.loanAmount && eApprovalFormGroup.get('loanAmount').errors.loanAmount.limit">Enter amount in between {{loanLimits.nMinLoanAmount | indianCurrency: 0}} to {{loanLimits.nMaxLoanAmount | indianCurrency: 0}}</p> 
                            </div>
                            <mat-slider (change)="updateLoanAmount($event)" [min]="loanLimits.nMinLoanAmount" [max]="loanLimits.nMaxLoanAmount" [step]="sliderStep"
                            [value]= "eApprovalFormGroup.get('loanAmount').value"></mat-slider>
                            <label class="loan-range clearfix">
                                <span class="less-range"><span class="rupee"></span>{{loanLimits.nMinLoanAmount | indianCurrency: 0}}</span>
                                <span class="more-range"><span class="rupee"></span>{{loanLimits.nMaxLoanAmount | indianCurrency: 0}}</span>
                            </label>
                        </div>
                    </div>
                    <div class="form-col">
                        <div class="form-col-row loan-tenure-row">
                            <label>Loan Tenure(in months)</label>
                            <!-- <div class="edit-amt">
                                <mat-form-field>
                                    <input  matInput autocomplete="off" (blur)="tenureBlur()" [errorStateMatcher]="formSubmittedMatcher" formControlName="tenure" type="text" numberOnly [maxlength]="amountLengthlimit(loanLimits.nMaxTenureMonths)" matPrefix/> 
                                </mat-form-field>            
                                <span class="edit-img" matSuffix></span>
                                <p class="custom-error" *ngIf="eApprovalFormGroup.get('tenure').errors && eApprovalFormGroup.get('tenure').errors.tenure && eApprovalFormGroup.get('tenure').errors.tenure.required">Please enter tenure</p>
                                <p class="custom-error" *ngIf="eApprovalFormGroup.get('tenure').errors && eApprovalFormGroup.get('tenure').errors.tenure && eApprovalFormGroup.get('tenure').errors.tenure.limit">Enter tenure in multiples of {{tenureSliderStep}} only</p> 
                                <p class="custom-error" *ngIf="eApprovalFormGroup.get('tenure').errors && eApprovalFormGroup.get('tenure').errors.tenure && eApprovalFormGroup.get('tenure').errors.tenure.step">Enter tenure in multiples of {{tenureSliderStep}} only</p> 
                            </div> -->
                            <mat-slider formControlName="tenure" (change)="updateTenure($event)" [min]="loanLimits.nMinTenureMonths" [max]="loanLimits.nMaxTenureMonths" step="12"
                            [value]= "eApprovalFormGroup.get('tenure').value"></mat-slider>
                            <label class="loan-range clearfix">
                                <span class="less-range">{{loanLimits.nMinTenureMonths}}</span>
                                <span class="middle-range">24</span>
                                <span class="more-range">{{loanLimits.nMaxTenureMonths}}</span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="form-row e-approval">
                    <div class="form-col-auto">
                        <div class="calculate-amount-wrap">
                            <div class="amount-wrap">
                                <label class="cal-title">Processing Fee</label>
                                <label>
                                    <span class="amount">{{eApprovalFormGroup.get('processingFee').value}}<span>%</span></span>
                                </label>
                            </div>
                            <div class="amount-wrap">
                                <label class="cal-title">Rate of Interest</label>
                                <label>
                                    <span class="amount">{{eApprovalFormGroup.get('interestRate').value}}<span>%</span></span>
                                </label>
                            </div>
                            <div class="amount-wrap">
                                <label class="cal-title">EMI</label>
                                <label>
                                    <span class="amount"><span class="rupee rupee-mid"></span>{{eApprovalFormGroup.get('emi').value | indianCurrency: 0}}</span>
                                </label>
                            </div>
                        </div>
                        <app-loader *ngIf="showLoader"></app-loader>
                    </div>
                </div>
            </div>
        </div>
        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
            <button class="main-btn" mat-button type="submit" (click)= "submit()" [disableRipple]="true">Continue</button>
            <p class="otp_verify_links blue-link abcd" *ngIf="showNeedMore"><a href="javascript:void(0);" class="links" (click)="goToNeedMore()">Need More?</a></p>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
        </div>
    </form>
</div>

    
